CONST
      /* Main application ID*/
      IDMain=1000  /* Main Application ID */

      /* Menu command values */
      CM_TILE=100
      CM_CASCADE=101
      CM_CLOSE=102
      CM_CLOSEALL=103
      CM_NEXT=104
      CM_OPEN=105
      CM_SAVEAS=106
      CM_NEW=107
      CM_SAVE=108
      CM_SAVEALL=109
      CM_ABOUT=110
      CM_QUIT=111

      CM_FIND=200
      CM_REPLACE=201
      CM_GOTO=202
      CM_SEARCHAGAIN=203
      CM_CUT=204
      CM_COPY=205
      CM_PASTE=206
      CM_UNDO=207
      CM_REDO=208
END


ICON 1001 CHILD.ICO

BITMAP 2000 DISKIN.BMP
BITMAP 2001 DISKOUT.BMP
BITMAP 2002 FIND.BMP
BITMAP 2003 REPL.BMP

POINTER 2009 EDITOR.PTR

ICON IDMain PMEdit.ICO

ACCELTABLE IDMain
BEGIN
     VK_F3,CM_OPEN,VIRTUALKEY             /* Open */
     VK_F2,CM_SAVE,VIRTUALKEY             /* Save */
     VK_F6,CM_NEXT,VIRTUALKEY             /* Next Window */
     VK_F3,CM_CLOSE,VIRTUALKEY|ALT        /* Close Window */
END

MENU IDMain
BEGIN
    SUBMENU "~File",1
    BEGIN
      MENUITEM "~New",CM_NEW
      MENUITEM "~Open...       F3",CM_OPEN
      MENUITEM "~Save         F2",CM_SAVE
      MENUITEM "Save ~as...",CM_SAVEAS
      MENUITEM "Save a~ll",CM_SAVEALL
      MENUITEM SEPARATOR
      MENUITEM "A~bout...",CM_ABOUT
      MENUITEM SEPARATOR
      MENUITEM "E~xit",CM_QUIT
    END
    SUBMENU "~Edit",1
    BEGIN
      MENUITEM "~Undo",CM_UNDO
      MENUITEM "~Redo",CM_REDO
      MENUITEM SEPARATOR
      MENUITEM "Cu~t    Shift+Del",CM_CUT
      MENUITEM "~Copy   Ctrl+Ins",CM_COPY
      MENUITEM "~Paste  Shift+Ins",CM_PASTE
    END
    SUBMENU "~Search",1
    BEGIN
      MENUITEM "~Find...",CM_FIND
      MENUITEM "~Replace...",CM_REPLACE
      MENUITEM "~Search again",CM_SEARCHAGAIN
      MENUITEM SEPARATOR
      MENUITEM "~Go to line number...",CM_GOTO
    END
    SUBMENU "~Window",1
    BEGIN
      MENUITEM "~Tile",CM_TILE
      MENUITEM "C~ascade",CM_CASCADE
      MENUITEM "Cl~ose all",CM_CLOSEALL
      MENUITEM SEPARATOR
      MENUITEM "~Next              F6",CM_NEXT
      MENUITEM "~Close         Alt+F3",CM_CLOSE
    END
END


BITMAP 1003 Vision.bmp


DLGTEMPLATE 1004         /* Aboutbox */
BEGIN
    DIALOG  "About this program", 1004,100,20,215,183
       STYLE FS_DLGBORDER|WS_VISIBLE
       FLAGS FCF_NOBYTEALIGN|FCF_TITLEBAR
       PRESPARAMS PP_FONTNAMESIZE, "8.Helv"
    BEGIN
        GROUPBOX "",1005,25,75,164,107
            STYLE WS_VISIBLE|WS_GROUP
        BITMAP "#1003",1005,42,85,162,100
            STYLE WS_VISIBLE|WS_GROUP
        CTEXT      "Speed-386 Sample Application PMEDIT",20000, 35, 60,146,7
            STYLE WS_VISIBLE
            PRESPARAMS PP_FOREGROUNDCOLORINDEX, CLR_RED
        CTEXT      "Copyright (C) 1994 Rene Nrnberger",20000,35, 52,146,7
            STYLE WS_VISIBLE
            PRESPARAMS PP_FOREGROUNDCOLORINDEX, CLR_BLACK
        CTEXT      "All rights reserved.",20000,35,44,146,7
            STYLE WS_VISIBLE
            PRESPARAMS PP_FOREGROUNDCOLORINDEX, CLR_BLACK
        DEFPUSHBUTTON "~OK", 1000,90,24,40,14
            STYLE WS_VISIBLE
    END
END

